| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPtrWrap< T > Class Template Reference

Simple pointer wrapper class. More...

`#include <csutil/ptrwrap.h>`

List of all members.

## Public Member Functions
| csPtrWrap (T *ptr)
| csPtrWrap (const csPtrWrap &other)
| csPtrWrap ()
| Constructor.
| operator const T * () const
| Obtain the wrapped pointer.
| operator T *& ()
| Obtain the wrapped pointer.
csPtrWrap & | operator= (const T *ptr)
csPtrWrap & | operator= (T *ptr)
| Assign another pointer.

## Detailed Description

### template<typename T>
class csPtrWrap< T >

Simple pointer wrapper class.

The difference to a "normal" pointer is that this one will be initialized with 0.

Definition at line 32 of file ptrwrap.h.

## Constructor & Destructor Documentation

template<typename T>

csPtrWrap< T >::csPtrWrap | ( |  | ) | `[inline]`

Constructor.

Definition at line 39 of file ptrwrap.h.

## Member Function Documentation

template<typename T>

csPtrWrap< T >::operator const T * | ( |  | ) | const`[inline]`

Obtain the wrapped pointer.

Definition at line 46 of file ptrwrap.h.

template<typename T>

csPtrWrap< T >::operator T *& | ( |  | ) | `[inline]`

Obtain the wrapped pointer.

Definition at line 47 of file ptrwrap.h.

template<typename T>

csPtrWrap& csPtrWrap< T >::operator= | ( | T * | ptr | ) | `[inline]`

Assign another pointer.

Definition at line 52 of file ptrwrap.h.

The documentation for this class was generated from the following file:

- csutil/ptrwrap.h